;******************************************************************************
;*
;* Murphy.vxd - Des crans bleus pas comme les autres...
;*
;* Copyright (c) 1999 Christophe Courtois, Christian Hohmann, Miodrag Vallat
;*
;******************************************************************************

	TITLE Lois - Lois de Murphy adaptes  l'cran bleu

; Ce fichier contient les lois qui seront affiches pendant les crans bleus.

; Pour ajouter des lois :
;
; - les lois doivent tre crites dans le jeu de caractres IBM CP437 (en fait,
;   le jeu de caractres standard VGA) ;
;
; - Le titre doit tenir sur une ligne, le texte sur une ou deux lignes (les
;   lignes tant limites  80 caractres) ;
;
; - une entre doit tre ajoute au tableau Murphy_Lois, donnant les offsets
;   des trois lignes de texte (0 pour la dernire si elle est absente) ;
;
; - la constante Murphy_Cnt doit tre mise  jour.
;
; Toute erreur dans la modification de ce fichier pourra rsulter en de
; superbes redmarrage de l'ordinateur  chaque tentative d'affichage d'un
; cran bleu.
; Soyez rigoureux !

	.386p
	
	.XLIST
	INCLUDE vmm.inc
	.LIST

VxD_LOCKED_DATA_SEG

ML01a	db	"Loi de la futilit"
ML01b	db	"Aucune exprience n'est un chec complet :"
ML01c	db	"elle peut toujours servir d'exemple  ne pas suivre."

ML02a	db	"Loi de la rvlation"
ML02b	db	"Les dfauts cachs ne restent jamais cachs."

ML03a	db	"Premire loi de Murphy"
ML03b	db	"Si quelque chose peut mal tourner, le phnomne se produira."

ML04a	db	"Deuxime loi de Murphy"
ML04b	db	"Si plusieurs choses peuvent mal tourner, celle qui produira les dgts les"
ML04c	db	"plus importants sera la premire  mal tourner."

ML05a	db	"Troisime loi de Murphy"
ML05b	db	"Si une chose ne peut pas mal tourner, elle tournera mal quand mme."

ML06a	db	"Cinquime loi de Murphy"
ML06b	db	"Laisses  elles-mmes, les choses tendent  aller de pire en pire."
ML06c	db	"Se faire aider ne fait qu'acclrer le processus."

ML07a	db	"Sixime loi de Murphy"
ML07b	db	"Si tout semble aller bien, c'est que vous n'avez pas tout regard."

ML08a	db	"Deuxime corollaire de Murphy"
ML08b	db	"Il est impossible de garantir quoi que ce soit sans dfauts,"
ML08c	db	"car les dfauts sont trop ingnieux."

ML09a	db	"Rgle de Murphy"
ML09b	db	"De nouveaux systmes gnrent de nouveaux problmes."

ML10a	db	"Cinquime loi de programmation des ordinateurs."
ML10b	db	"N'importe quel programme finira par occuper toute la mmoire."

ML11a	db	"Huitime loi de programmation des ordinateurs"
ML11b	db	"Chaque programme non trivial est bogu."

ML12a	db	"Neuvime loi de programmation des ordinateurs"
ML12b	db	"Si l'on faisait en sorte que les programmeurs puissent programmer en"
ML12c	db	"franais, on se rendrait compte qu'ils ne savent pas crire en franais."

ML13a	db	"Rgle de Fagin"
ML13b	db	"Seule la sagesse est une science exacte."

ML14a	db	"Loi de Flugg"
ML14b	db	"Quand vous avez besoin de toucher du bois, vous vous rendez compte que"
ML14c	db	"le monde est fait de plastique et de mtal."

ML15a	db	"Septime loi de la fiabilit de Gilb"
ML15b	db	"Le nombre d'erreurs indtectables est infini, contrairement au"
ML15c	db	"nombre d'erreurs dtectables qui par dfinition est limit."

ML16a	db	"Loi de Jenkinson"
ML16b	db	"a ne marchera pas."

ML17a	db	"Loi de Langin"
ML17b	db	"Si les choses pouvaient choisir, elles seraient meilleures."

ML18a	db	"Loi de l'entomologie cyberntique, de Lubarsky"
ML18b	db	"Il reste toujours au moins une bogue."

ML19a	db	"Maxime de Merkin"
ML19b	db	"Dans le doute, prdire que la tendance va continuer."

ML20a	db	"Postulat de Pascal"
ML20b	db	"Un ordinateur fait autant d'erreurs en 2 secondes"
ML20c	db	"que 20 hommes pendant 20 ans."

ML21a	db	"Deuxime loi de Sodd"
ML21b	db	"Tt ou tard, le pire se produira."

ML22a	db	"Premier postulat de Troutman"
ML22b	db	"La mdiocrit est le seul langage connu de tous les programmeurs."

ML23a	db	"Deuxime postulat de Troutman"
ML23b	db	"La plus grave erreur d'un programme ne peut pas tre dcouverte avant que"
ML23c	db	"le produit soit en vente depuis six mois."

ML24a	db	"Deuxime loi de Weinberg"
ML24b	db	"Si les architectes construisaient les immeubles de la mme faon que les"
ML24c	db	"programmeurs programment, le premier pic-vert venu dtruirait la civilisation."

ML25a	db	"Loi des plaintes, de Zimmerman"
ML25b	db	"Personne ne remarque quand les choses vont bien."

MLend	EQU	$

Murphy_Cnt	dd	25

Murphy_Lois	dd	offset32 ML01a, offset32 ML01b, offset32 ML01c
		dd	offset32 ML02a, offset32 ML02b, 0
		dd	offset32 ML03a, offset32 ML03b, 0
		dd	offset32 ML04a, offset32 ML04b, offset32 ML04c
		dd	offset32 ML05a, offset32 ML05b, 0
		dd	offset32 ML06a, offset32 ML06b, offset32 ML06c
		dd	offset32 ML07a, offset32 ML07b, 0
		dd	offset32 ML08a, offset32 ML08b, offset32 ML08c
		dd	offset32 ML09a, offset32 ML09b, 0
		dd	offset32 ML10a, offset32 ML10b, 0
		dd	offset32 ML11a, offset32 ML11b, 0
		dd	offset32 ML12a, offset32 ML12b, offset32 ML12c
		dd	offset32 ML13a, offset32 ML13b, 0
		dd	offset32 ML14a, offset32 ML14b, offset32 ML14c
		dd	offset32 ML15a, offset32 ML15b, offset32 ML15c
		dd	offset32 ML16a, offset32 ML16b, 0
		dd	offset32 ML17a, offset32 ML17b, 0
		dd	offset32 ML18a, offset32 ML18b, 0
		dd	offset32 ML19a, offset32 ML19b, 0
		dd	offset32 ML20a, offset32 ML20b, offset32 ML20c
		dd	offset32 ML21a, offset32 ML21b, 0
		dd	offset32 ML22a, offset32 ML22b, 0
		dd	offset32 ML23a, offset32 ML23b, offset32 ML23c
		dd	offset32 ML24a, offset32 ML24b, offset32 ML24c
		dd	offset32 ML25a, offset32 ML25b, 0

		dd	MLend

PUBLIC	Murphy_Cnt
PUBLIC	Murphy_Lois

VxD_LOCKED_DATA_ENDS

	END

; /* ex:set ts=8: */
